## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate socket2

Name:           rust-%{crate}
Version:        0.4.4
Release:        %autorelease
Summary:        Utilities for handling networking sockets

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/socket2
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         socket2-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Utilities for handling networking sockets with a maximal amount of
configuration possible intended.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+all-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+all-devel %{_description}

This package contains library source intended for building other packages which
use the "all" feature of the "%{crate}" crate.

%files       -n %{name}+all-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Feb 09 2022 Fabio Valentini <decathorpe@gmail.com> 0.4.4-1
- Update to version 0.4.4; Fixes RHBZ#2046696

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> 0.4.3-1
- Update to version 0.4.3; Fixes RHBZ#2043216

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Fabio Valentini <decathorpe@gmail.com> 0.4.2-1
- Update to version 0.4.2; Fixes RHBZ#2004645

* Wed Jul 28 2021 Fabio Valentini <decathorpe@gmail.com> 0.4.1-1
- Update to version 0.4.1; Fixes RHBZ#1987035

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0.
- Ignore one harmless test failure on s390x.

* Sun Feb 14 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.19-1
- Update to version 0.3.19.
- Fixes RHBZ#1908427

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 21 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.17-1
- Update to version 0.3.17.
- Fixes RHBZ#1900204

* Wed Nov 11 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.16-1
- Update to version 0.3.16.
- Fixes RHBZ#1896749

* Wed Sep 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.15-1
- Update to version 0.3.15.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.12-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 01 2020 Josh Stone <jistone@redhat.com> - 0.3.12-1
- Update to 0.3.12

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 0.3.11-1
- Update to 0.3.11

* Sun Jul 28 18:33:11 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.10-1
- Update to 0.3.10

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 10:29:52 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-2
- Regenerate

* Tue May 07 07:55:39 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.9-1
- Update to 0.3.9

* Tue Feb 12 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.8-4
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.3.8-2
- Adapt to new packaging

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 0.3.8-1
- Update to 0.3.8

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7

* Tue Jun 05 2018 Josh Stone <jistone@redhat.com> - 0.3.6-1
- Update to 0.3.6

* Tue Apr 17 2018 Josh Stone <jistone@redhat.com> - 0.3.5-1
- Update to 0.3.5

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 0.3.4-1
- Update to 0.3.4

* Mon Mar 05 2018 Josh Stone <jistone@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Thu Mar 01 2018 Josh Stone <jistone@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Initial package

